ObjectFactory< AbstractClass > Class Template Referenceabstract

Object factory interface for registering objects. More...

Inheritance diagram for ObjectFactory< AbstractClass >:

## Public Member Functions

virtual AbstractClass * | CreateObject () const =0

## Detailed Description

### template<class AbstractClass>
class ObjectFactory< AbstractClass >

Object factory interface for registering objects.

Template Parameters

  AbstractClass | Base class interface of the object

Definition at line 18 of file factory.h.

The documentation for this class was generated from the following file:

- factory.h